Skip to main content

Get Courier (Postlaju) List API

Introduction​

Returns Postlaju (courier) records for the tenant with status INACTIVE, filtered by date range and courier number via PostlajuService.getPostlajuListWithDateFilter.

Source: InvoiceHomePageAPI.getCourierList — transportsupplyproject/src/in/greenorange/api/invoice/InvoiceHomePageAPI.java.

See also: Invoice Home — all endpoints.


HTTP Endpoint​

PropertyValue
URL/rest/invoicehome/getCourierList/{fromDate}/{toDate}/{courierNumber}/{userName}/{authKey}
MethodGET
Producesapplication/json

Path Parameters​

ParameterTypeRequiredDescription
fromDateStringYesyyyy-MM-dd.
toDateStringYesyyyy-MM-dd.
courierNumberStringYesFilter (e.g. Postlaju number).
userNameStringYesAuth.
authKeyStringYesAuth.

Success Response​

{ "data": [ { "...": "Postlaju fields" } ] }

Example Request​

GET /rest/invoicehome/getCourierList/2026-04-01/2026-04-30/PLJ001/alice/secretKey HTTP/1.1
Host: {base}